unit U_NoteList;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  Tfrmwlnote = class(TForm)
    Memo1: TMemo;
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    procedure FormDestroy(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmwlnote: Tfrmwlnote;

implementation

{$R *.dfm}

procedure Tfrmwlnote.FormDestroy(Sender: TObject);
begin
  frmwlnote:=nil;
end;

procedure Tfrmwlnote.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action:=cahide;
end;

procedure Tfrmwlnote.Button1Click(Sender: TObject);
begin
  ModalResult:=1;
end;

procedure Tfrmwlnote.Button2Click(Sender: TObject);
begin
  ModalResult:=-1;
end;

end.
